# BuildServiceRegistration

interface BuildServiceRegistration<T : BuildService<P>?, P : BuildServiceParameters?> : Named

Details of a build service.

#### Since

6.1

#### Parameters

<T>

the service type.

<P>

the service parameters type.

## Functions

getMaxParallelUsages
Link copied to clipboard
abstract fun getMaxParallelUsages(): Property<Integer>
Specifies the maximum number of tasks that can use this service in parallel.
getName
Link copied to clipboard
abstract fun getName(): String
getParameters
Link copied to clipboard
abstract fun getParameters(): P
Returns the parameters that will be used to instantiate the service with.
getService
Link copied to clipboard
abstract fun getService(): Provider<T>
Returns a Provider that will create the service instance when its value is queried.